Bug 1404577 - Review Request: php-fig-http-message-util - PSR Http Message Util
Summary: Review Request: php-fig-http-message-util - PSR Http Message Util
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 07:23 UTC by Remi Collet
Modified: 2016-12-31 20:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-23 12:19:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (23.61 KB, text/plain)
2016-12-15 03:32 UTC, Shawn Iwinski
no flags Details
phpcompatinfo.log (1.11 KB, text/plain)
2016-12-15 03:33 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.02 KB, text/plain)
2016-12-15 03:33 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-12-14 07:23:30 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/ca309a938514bf3c71fbade5e675391ded0d37d7/php/php-fig-http-message-util/php-fig-http-message-util.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-fig-http-message-util-1.1.0-1.remi.src.rpm
Description: 
This library holds utility classes and constants to facilitate common
operations of PSR-7; the primary purpose is to provide constants for
referring to request methods, response status codes and messages, and
potentially common headers.

Autoloader: /usr/share/php/Fig/Http/Message/autoload.php

Fedora Account System Username: remi

--

New dependency of php-zendframework-zend-expressive-router (1.3)
As usually I will clean the EL-5 stuff during import.

Comment 1 Shawn Iwinski 2016-12-15 03:32 UTC
Created attachment 1231952 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.15.0 built Nov 23 2016 09:41:30 CET

Comment 2 Shawn Iwinski 2016-12-15 03:33 UTC
Created attachment 1231953 [details]
phpcompatinfo.log

phpCompatInfo version 5.0.1 DB version 1.15.0 built Nov 23 2016 09:41:30 CET

Comment 3 Shawn Iwinski 2016-12-15 03:33 UTC
Created attachment 1231954 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1404577
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-12-15 03:34:28 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-12-15 05:39:34 UTC
Thanks for the review.

New package requested on pkgdb.

Comment 6 Gwyn Ciesla 2016-12-15 13:20:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-fig-http-message-util

Comment 7 Fedora Update System 2016-12-15 13:55:03 UTC
php-fig-http-message-util-1.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bcb08194e8

Comment 8 Fedora Update System 2016-12-15 13:55:12 UTC
php-fig-http-message-util-1.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8387b35445

Comment 9 Fedora Update System 2016-12-15 13:55:16 UTC
php-fig-http-message-util-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ed59e326ee

Comment 10 Fedora Update System 2016-12-16 04:20:39 UTC
php-fig-http-message-util-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ed59e326ee

Comment 11 Fedora Update System 2016-12-16 05:31:27 UTC
php-fig-http-message-util-1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bcb08194e8

Comment 12 Fedora Update System 2016-12-16 05:33:05 UTC
php-fig-http-message-util-1.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8387b35445

Comment 13 Fedora Update System 2016-12-23 12:19:59 UTC
php-fig-http-message-util-1.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-23 13:50:54 UTC
php-fig-http-message-util-1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-31 20:18:33 UTC
php-fig-http-message-util-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.